import _extends from "@babel/runtime/helpers/extends";
import _Icon from "@alifd/next/es/icon";
/* eslint-disable @typescript-eslint/no-unused-vars */
import * as React from 'react';
import "./index.scss";
var List = function List(props) {
  // const { lists = [] } = props;

  var _props$title = props.title,
    title = _props$title === void 0 ? '标题' : _props$title,
    _props$describe = props.describe,
    describe = _props$describe === void 0 ? '描述' : _props$describe,
    _props$titleFiled = props.titleFiled,
    titleFiled = _props$titleFiled === void 0 ? 'title' : _props$titleFiled,
    _props$describeFiled = props.describeFiled,
    describeFiled = _props$describeFiled === void 0 ? 'describe' : _props$describeFiled;
  return /*#__PURE__*/React.createElement("div", _extends({
    className: "material-list"
  }, props), /*#__PURE__*/React.createElement("div", {
    className: "list-item"
  }, /*#__PURE__*/React.createElement("div", {
    className: "cover-image"
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://img.alicdn.com/imgextra/i3/O1CN01tnhXhk1GUIFhsXwzA_!!6000000000625-55-tps-56-56.svg",
    alt: ""
  })), /*#__PURE__*/React.createElement("div", {
    className: "content"
  }, /*#__PURE__*/React.createElement("div", {
    className: "title"
  }, props[titleFiled] || title), /*#__PURE__*/React.createElement("div", {
    className: "describe"
  }, props[describeFiled] || describe)), /*#__PURE__*/React.createElement("div", {
    className: "setting-wrapper"
  }, /*#__PURE__*/React.createElement(_Icon, {
    type: "ellipsis"
  }))));
};
List.displayName = 'List';
export default List;